 # Use the official docker image.
image: docker:latest
services:
    - docker:dind
stages:
    - build
    - deploy
build:
    stage: build
    script:
        - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
        - docker build -t registry.gitlab.com/dmitriy88.rus/netology-test/image:latest .
    except:
        - main
build&deploy:
    stage: deploy
    script:
        - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
        - docker build -t registry.gitlab.com/dmitriy88.rus/netology-test/python-api:latest .
        - docker push registry.gitlab.com/dmitriy88.rus/netology-test/python-api:latest
    only:
        - main


